### Method

# GimpUi ProcedureDialog fill_list

#### Declaration [src]

    void
    gimp_procedure_dialog_fill_list (
      GimpProcedureDialog* dialog,
      GList* properties
    )

#### Description [src]

Populate `dialog` with the widgets corresponding to every listed properties. If the list is `NULL`, `dialog` will be filled by the whole list of properties of the associated `GimpProcedure`, in the defined order:

    gimp_procedure_dialog_fill_list (dialog, NULL);

Nevertheless if you only wish to display a partial list of properties, or if you wish to change the display order, then you have to give an explicit list:

    gimp_procedure_dialog_fill (dialog, "property-1", "property-2", NULL);

Note: you do not have to call `gimp_procedure_dialog_get_widget()` on every property before calling this function unless you want a given property to be represented by an alternative widget type. By default, each property will get a default representation according to its type.

This method is renamed to `gimp_procedure_dialog_fill()` in language bindings

#### Parameters

`properties` | A list of `utf8`
| The list of property names.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| Each element is a NUL terminated UTF-8 string.